Module java.base
Package java.security

# Interface KeyStore.Entry.Attribute

All Known Implementing Classes:
  `PKCS12Attribute`

Enclosing interface:
  `KeyStore.Entry`

public static interface KeyStore.Entry.Attribute
An attribute associated with a keystore entry. It comprises a name and one or more values.

Since:
  1.8

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the attribute's name.
`String`
`getValue()`
Returns the attribute's value.

## Method Details

### getName

String getName()
Returns the attribute's name.

Returns:
  the attribute name

### getValue

String getValue()
Returns the attribute's value. Multi-valued attributes encode their values as a single string.

Returns:
  the attribute value